//-----------PID運算-----------
function main_PidOperationFirstPageRedisplayUi_change()
{
	var Class = new PidOperationFirstPage();
	Class.RedisplayUi();
	Class = null;
}
function main_PidOperationSecondPageChangeInputModuleType_change(that)
{
	var ModuleType=$(that).closest(".Form").find(".Row").eq(0).find("table").find("tr").eq(0).find(".Select").val();
	var Class = new PidOperationSecondPage();
	Class.ChangeInputModuleType(ModuleType, that);
	Class = null;
}
function main_PidOperationSecondPageChangeOutputModuleType_change(that)
{
	var ModuleType=$(that).closest(".Form").find(".Row").eq(0).find("table").find("tr").eq(0).find(".Select").val();
	var Class = new PidOperationSecondPage();
	Class.ChangeOutputModuleType(ModuleType, that);
	Class = null;
}
function main_PidOperationSecondPageChangeModuleNumber_change(that)
{
	var Module=$(that).closest("table").find("tr").eq(0).find(".Select").val();
	var Class = new PidOperationSecondPage();
	Class.ChangeModuleNumber(Module, that);
	Class = null;
}
function main_PidOperationSecondPageChangeVariableAttribute_change(that)
{
	var Module=$(that).closest(".Form").find(".Row").eq(0).find("table").find("tr").eq(0).find(".Select").val();
	var Class = new PidOperationSecondPage();
	Class.ChangeVariableAttribute(Module, that);
	Class = null;
}
function main_PidOperationSecondPageChangeVariableType_change(that)
{
	var Module=$(that).closest(".Form").find(".Row").eq(0).find("table").find("tr").eq(0).find(".Select").val();
	var Class = new PidOperationSecondPage();
	Class.ChangeVariableType(Module, that);
	Class = null;
}